Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Would be support for Zend Framework in PDT 1.1 ?
Would be support for Zend Framework in PDT 1.1 ? [message #74440] Mon, 30 June 2008 22:46 Go to next message
Juan Felipe Alvarez Saldarriaga is currently offline Juan Felipe Alvarez SaldarriagaFriend
Messages: 23
Registered: July 2009
Junior Member
Hey!

Should be nice have mapped the Zend Framework classes and stuff, you are
planning to do soemthing like this ? to autocomplete Zend Framework
classes, methods, etc ?

Thx.
Re: Would be support for Zend Framework in PDT 1.1 ? [message #74494 is a reply to message #74440] Tue, 01 July 2008 05:47 Go to previous messageGo to next message
Roy Ganor is currently offline Roy GanorFriend
Messages: 150
Registered: July 2009
Senior Member
Actually, before we do it we should solve the licensing issue, i.e. these
two open source projects (Eclipse and ZF) don't share the same open source
licenses (EPL vs. new BSD). Moreover I am not sure it is possible at all :)
Re: Would be support for Zend Framework in PDT 1.1 ? [message #74516 is a reply to message #74440] Tue, 01 July 2008 12:11 Go to previous messageGo to next message
exceptione is currently offline exceptioneFriend
Messages: 96
Registered: July 2009
Member
Juan Felipe Alvarez Saldarriaga schreef:
> Hey!
>
> Should be nice have mapped the Zend Framework classes and stuff, you are
> planning to do soemthing like this ? to autocomplete Zend Framework
> classes, methods, etc ?
>
> Thx.
>
Well, I simply add a reference to the Zend Framework files in my
projects. What do you need more?
Re: Would be support for Zend Framework in PDT 1.1 ? [message #74604 is a reply to message #74516] Tue, 01 July 2008 16:06 Go to previous messageGo to next message
Juan Felipe Alvarez Saldarriaga is currently offline Juan Felipe Alvarez SaldarriagaFriend
Messages: 23
Registered: July 2009
Junior Member
well, I don't know how to do it, but I work with remote files, with the
Eclipse RSE component, so, I don't know how to do it :).

Thx for any help.
Re: Would be support for Zend Framework in PDT 1.1 ? [message #74809 is a reply to message #74604] Thu, 03 July 2008 18:24 Go to previous messageGo to next message
exceptione is currently offline exceptioneFriend
Messages: 96
Registered: July 2009
Member
Juan Felipe Alvarez Saldarriaga schreef:
> well, I don't know how to do it, but I work with remote files, with the
> Eclipse RSE component, so, I don't know how to do it :).
>
> Thx for any help.
>

expand you project in the project explorer
right-click Include paths, choose Configure Include Path.

Now enter the path to the zend framework files. I recommend to store the
zend framework locally, it's a huge library.

Clear?
Re: Would be support for Zend Framework in PDT 1.1 ? [message #74826 is a reply to message #74809] Fri, 04 July 2008 02:00 Go to previous message
David Muir is currently offline David MuirFriend
Messages: 63
Registered: July 2009
Member
Doesn't PDT 1.1 automatically include all php files in the current
project? It does in 1.0. That would certainly explain why code completion
is broken... Or are you talking about including files from outside your
project?
Previous Topic:Find Function within PHP project
Next Topic:SOS,OLE Exception
Goto Forum:
  


Current Time: Sun Jan 29 10:28:29 GMT 2023

Powered by FUDForum. Page generated in 0.13119 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top